Skip to main content

Get Internal Transactions by Accounts

POST

Retrieves the list of internal transactions associated with one or more accounts.

🚧 Getting a 429 error? Check your subscription plan!

A 429 error can occur when you exceed the throughput limit of your subscription plan.

For example, the Starter plan has a limit of 300 CU per second, so if you call an API that consumes 350 CU while on the Starter plan, a 429 error may occur.

Check the CU consumption of the API you are using on the Compute Unit Costs page, and if you need more throughput, consider upgrading to a higher plan!

👉 Go to the Compute Unit Costs page

Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
accountAddressesarrayrequired
Parameter specifying an array of account addresses to query. Each address can be entered as a 40-character hexadecimal string starting with 0x, and up to 10 addresses can be specified at once.
relationstring
Parameter for filtering transactions where the queried account address is the sender or recipient.
  • from: Filter by sender only.
  • to: Filter by recipient only.
  • both (default): Returns all transactions where the queried address appears in from or to.
fromBlockstring
Parameter specifying the starting block for the query. You can enter one of the following formats:
  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.
Notes:
  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
toBlockstring
Parameter specifying the ending block for the query. You can enter one of the following formats:
  • block number: Enter block number as a decimal string.
  • block hash: 64-character hexadecimal (including "0x").
  • block tag: Use "earliest" or "latest" to specify the first block or the most recent block.
Notes:
  • This field cannot be used together with fromDate and toDate.
  • If provided without fromBlock, results are queried from genesis block to this block.
  • toBlock value cannot be less than fromBlock value.
  • If fromBlock and toBlock have the same value, only that block is queried.
  • "earliest" for toBlock is only allowed when fromBlock is "earliest".
  • If fromBlock and toBlock are not provided, the API queries data from the latest 30 days.
fromDatestring
Parameter specifying the start date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:
  • If provided without toDate, results are queried from this date to the latest block.
  • fromDate value must be equal to or earlier than toDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
toDatestring
Parameter specifying the end date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:
  • If provided without fromDate, results are queried from genesis block to this date.
  • toDate value must be equal to or later than fromDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
pageinteger
The page parameter specifies the data page to query. It accepts values up to 100; for pages exceeding 100, use the cursor pagination method.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.
rppinteger
rpp stands for results per page and specifies the page size. You can specify a number greater than 0 and up to 100.
cursorstring
The cursor parameter supports pagination and data navigation between pages. Provide the cursor value from the previous page in the next request to load the next page of data.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.
withCountboolean
Parameter specifying whether to include the count field in the response. The count field indicates the total number of requested data items. When set to true, the count field is included and response speed may be slower.
withZeroValueboolean
Parameter specifying whether to include results with value 0 in the response. Set to true for faster responses.
withExternalTransactionboolean
Parameter determining whether to include external transactions in the response. External transactions are returned in the same format as internal transactions with trace index 0. When set to true, external transactions are included and response speed may be slower.
Responses
pageinteger
Field representing the page number specified in the page parameter. This field is only included in the response when a value greater than 0 is specified for the page parameter.
rppinteger
Field representing the number of results per page specified in the rpp parameter.
cursorstring
A field for cursor pagination. This value must be provided in the next request to load the next page of data.
countinteger
Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.
Field representing the actual range applied to the query. The same kind of values used in the request's range parameters are returned. A Date-based request returns fromDate and toDate, a Block-based request returns fromBlock and toBlock, and a Ledger-based request returns fromLedger and toLedger; different kinds are never mixed in a single response. When all range parameters are omitted, a default window of the last 30 days is applied and fromDate, toDate are returned. Block and Ledger values are always returned as heights (numbers), even if a hash or tag (latest, earliest) was provided in the request.
fromDatestring
Field representing the start of the query range in Date mode. Returned in ISO 8601 format.
toDatestring
Field representing the end of the query range in Date mode. Returned in ISO 8601 format.
fromBlockinteger
Field representing the start block height of the query range in Block mode.
toBlockinteger
Field representing the end block height of the query range in Block mode.
fromLedgerinteger
Field representing the start ledger index of the query range in Ledger mode.
toLedgerinteger
Field representing the end ledger index of the query range in Ledger mode.
traceIdstring
A field representing the trace ID of the transaction. Has a unique value based on the depth and call order of the transaction.Naming convention: call_{blockNumber}_{transactionIndex}_{depth1's callOrder}_{depth2's callOrder}_{...}
traceIndexinteger
A field representing the trace index of the transaction. Returns 0 for external transactions.
transactionHashstring
A field representing the hash of the transaction. Provided as a 64-character hexadecimal string prefixed with 0x.
transactionIndexinteger
A field representing the index of the transaction. Indicates the order within the block. Provided in decimal string format.
fromstring
A field representing the address that initiated the transaction. Provided as a 40-character hexadecimal string prefixed with 0x.
tostring
A field representing the recipient address of the transaction. For contract creation transactions, this field returns the created contract address. Provided as a 40-character hexadecimal string prefixed with 0x.
valuestring
A field representing the amount transferred in the transaction. Provided in decimal string format.
traceTypestring
A field representing the trace type of the transaction. Includes call, create, etc.
callTypestring
A field representing the call type of the transaction. Includes call, delegatecall, staticcall, etc.
gasstring
A field representing the amount of gas allocated to the transaction. Provided in decimal string format.
gasUsedstring
A field representing the amount of gas actually used in transaction execution. Provided in decimal string format.
statusstring
A field representing the status of the transaction. 1 indicates success; 0 indicates failure. Provided in decimal string format.
blockNumberinteger
A field representing the block number that contains the transaction.
timestampinteger
트랜잭션이 생성된 시간을 나타내는 필드입니다. 이 필드는 UNIX 타임스탬프로 제공됩니다.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/getInternalTransactionsByAccounts' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"accountAddresses": [
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
],
"relation": "both",
"fromDate": "2025-01-01T00:00:00+00:00",
"toDate": "2025-01-31T00:00:00+00:00",
"withZeroValue": false,
"withExternalTransaction": false
}'